cities = new Object();
cities['']=new Array('--请选择城市--');
cities['北京']=new Array("北京", "北京朝阳区", "北京海淀区", "北京丰台区", "北京房山区", "北京石景山", "北京宣武区", "北京崇文区", "北京东城区", "北京西城区", "北京昌平区", "北京怀柔区", "北京大兴区", "北京门头沟", "北京密云县", "北京平谷区", "北京顺义区", "北京通州区", "北京延庆县");
cities['天津'] = new Array("天津", "天津和平区", "天津西青区", "天津北城区", "天津大港区", "天津南开区", "天津河东区", "天津河西区", "天津河北区", "天津津南区", "天津红桥区", "天津塘沽区", "天津汉沽区", "天津东丽区", "天津宝坻区", "天津蓟县", "天津武清区", "天津宁河县", "天津静海县", "天津滨海新区");
cities['河北'] = new Array( "石家庄", "唐山", "秦皇岛", "邯郸", "邢台", "保定", "张家口", "承德", "沧州", "廊坊", "衡水");
cities['山西'] = new Array( "太原", "大同", "阳泉", "长治", "晋城", "朔州", "晋中", "运城", "忻州", "临汾", "吕梁");
cities['内蒙'] = new Array( "呼和浩特", "包头", "乌海", "赤峰", "通辽", "鄂尔多斯", "呼伦贝尔", "巴彦淖尔", "乌兰察布", "锡林郭勒盟", "阿拉善盟", "兴安盟");
cities['辽宁'] = new Array( "沈阳", "大连", "鞍山", "抚顺", "本溪", "丹东", "锦州", "营口", "阜新", "辽阳", "盘锦", "铁岭", "朝阳", "葫芦岛");
cities['吉林'] = new Array( "长春", "吉林", "四平", "辽源", "通化", "白山", "松原", "白城", "延边朝鲜族自治州");
cities['黑龙江'] = new Array( "哈尔滨", "齐齐哈尔", "鸡西", "鹤岗", "双鸭山", "大庆", "伊春", "佳木斯", "七台河", "牡丹江", "黑河", "绥化", "大兴安岭地区");
cities['上海'] = new Array( "上海", "上海闵行区", "上海徐汇区", "上海长宁区", "上海静安区", "上海卢湾区", "上海虹口区", "上海黄埔区", "上海浦东区", "上海杨浦区", "上海闸北区", "上海普陀区", "上海嘉定区", "上海宝山区", "上海青浦区", "上海奉贤区", "上海南汇区", "上海崇明区", "上海金山区", "上海松江市");
cities['江苏'] = new Array( "南京", "无锡", "徐州", "常州", "苏州", "南通", "连云港", "淮安", "盐城", "扬州", "镇江", "泰州", "宿迁");
cities['浙江'] = new Array( "杭州", "宁波", "温州", "嘉兴", "湖州", "绍兴", "金华", "义乌", "衢州", "舟山", "台州", "丽水");
cities['安徽'] = new Array( "合肥", "芜湖", "蚌埠", "淮南", "马鞍山", "淮北", "铜陵", "安庆", "黄山", "滁州", "阜阳", "宿州", "巢湖", "六安", "亳州", "池州", "宣城");
cities['福建'] = new Array( "福州", "厦门", "莆田", "三明", "泉州", "漳州", "南平", "龙岩", "宁德");
cities['江西'] = new Array( "南昌", "景德镇", "萍乡", "九江", "新余", "鹰潭", "赣州", "吉安", "宜春", "抚州", "上饶");
cities['山东'] = new Array( "济南", "青岛", "淄博", "枣庄", "东营", "烟台", "潍坊", "济宁", "泰安", "威海", "日照", "莱芜", "临沂", "德州", "聊城", "滨州", "荷泽");
cities['河南'] = new Array( "郑州", "开封", "洛阳", "平顶山", "安阳", "鹤壁", "新乡", "焦作", "濮阳", "许昌", "漯河", "三门峡", "南阳", "商丘", "信阳", "周口", "驻马店", "直辖行政单位");
cities['湖北'] = new Array( "武汉", "黄石", "十堰", "宜昌", "襄樊", "鄂州", "荆门", "孝感", "荆州", "黄冈", "咸宁", "随州", "恩施土家族苗族自治州", "省直辖行政单位");
cities['湖南'] = new Array( "长沙", "株洲", "湘潭", "衡阳", "邵阳", "岳阳", "常德", "张家界", "益阳", "郴州", "永州", "怀化", "娄底", "湘西土家族苗族自治州");
cities['广东'] = new Array( "广州", "韶关", "深圳", "珠海", "汕头", "佛山", "江门", "湛江", "茂名", "肇庆", "惠州", "梅州", "汕尾", "河源", "阳江", "清远", "东莞", "中山", "潮州", "揭阳", "云浮");
cities['广西'] = new Array( "南宁", "柳州", "桂林", "梧州", "北海", "百色", "崇左", "防城港", "贵港", "河池", "贺州", "来宾", "钦州", "玉林");
cities['海南'] = new Array( "海口", "三亚");
cities['重庆'] = new Array( "重庆", "重庆渝中区", "重庆沙坪坝区", "重庆江北区", "重庆南岸区", "重庆九龙坡", "重庆北培区", "重庆大渡口", "重庆渝北区", "重庆巴南区", "重庆万州区", "重庆涪陵区", "重庆黔江区", "重庆长寿区", "重庆合川区", "重庆永川区", "重庆江津区");
cities['四川'] = new Array( "成都", "自贡", "攀枝花", "泸州", "德阳", "绵阳", "简阳", "广元", "遂宁", "内江", "乐山", "南充", "眉山", "宜宾","广汉", "广安", "达州", "雅安", "巴中", "资阳", "阿坝藏族羌族自治州", "甘孜藏族自治州", "凉山彝族自治州");
cities['贵州'] = new Array( "贵阳", "六盘水", "遵义", "安顺", "铜仁地区", "黔西南布依族苗族自治州", "毕节地区", "黔东南苗族侗族自治州", "黔南布依族苗族自治州");
cities['云南'] = new Array( "昆明", "曲靖", "玉溪", "保山", "昭通", "丽江", "思茅", "临沧", "楚雄彝族自治州", "红河哈尼族彝族自治州", "文山壮族苗族自治州", "西双版纳傣族自治州", "大理白族自治州", "德宏傣族景颇族自治州", "怒江傈僳族自治州", "迪庆藏族自治州");
cities['西藏'] = new Array( "拉萨", "昌都地区", "山南地区", "日喀则地区", "那曲地区", "阿里地区", "林芝地区");
cities['陕西'] = new Array( "西安", "铜川", "宝鸡", "咸阳", "渭南", "延安", "汉中", "榆林", "安康", "商洛", "杨凌");
cities['甘肃'] = new Array( "兰州", "嘉峪关", "金昌", "白银", "天水", "武威", "张掖", "平凉", "酒泉", "庆阳", "定西", "陇南地区", "临夏回族自治州", "甘南藏族自治州");
cities['青海'] = new Array( "西宁", "海东地区", "海北藏族自治州", "黄南藏族自治州", "海南藏族自治州", "果洛藏族自治州", "玉树藏族自治州", "海西蒙古族藏族自治州");
cities['宁夏'] = new Array( "银川", "石嘴山", "吴忠", "固原", "中卫");
cities['新疆'] = new Array( "乌鲁木齐", "克拉玛依", "吐鲁番地区", "哈密地区", "昌吉回族自治州", "博尔塔拉蒙古自治州", "巴音郭楞蒙古自治州", "阿克苏地区", "克孜勒苏柯尔克孜自治州", "喀什地区", "和田地区", "伊犁哈萨克自治州", "塔城地区", "阿勒泰地区", "省直辖行政单位");
cities['香港'] = new Array( "香港");
cities['澳门'] = new Array( "澳门");
cities['台湾'] = new Array( "台北", "高雄", "基隆", "台中", "台南", "新竹", "嘉义");
function set_son_name(father_name, son_name)
{  var pv, cv;
 var i, ii;
 pv=father_name.value;
 cv=son_name.value;
 son_name.length=0;
 if(pv=='0') return;
 if(typeof(cities[pv])=='undefined') return;
 for(i=0; i<cities[pv].length; i++)
 {     ii = i;
	var oOption = document.createElement("OPTION");
	son_name.options.add(oOption);
	oOption.innerText = cities[pv][i];
	oOption.value = cities[pv][i];

}
}
